#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file submits a job to the SLURM queue for CPU profling.
# ------------------------------------------------------------------------------
#SBATCH --job-name=ectrans_sbatch
#SBATCH --partition=small-g
#SBATCH --exclusive
#SBATCH --mem=0
#SBATCH --account=project_465000454
#SBATCH --nodes=1
#SBATCH --gpus-per-node=8
#SBATCH --ntasks=8
#SBATCH --time=0:30:00

# Set required ENV variables.
# Set binary, results directory name, and ntasks to ENV value or default.
BINARY="ectrans-lam-benchmark-gpu-dp-acc"
RESDIR="gpu_prof_n1"
NTASKS=8

# Set runtime arguments to ENV value or default.
NPROMA=32
NLEV=100
NFLD=3
NITER=4

# Profile the ecTrans dwarf.
./ectrans_prof_lumi-g.sh

# --nlat 1024 --nlon 1536
